package main

import (
	"fmt"
)

type LoginCommand struct {
	Url      string `short:"u" long:"url" description:"Url of the instance" required:"true"`
	Login    string `short:"l" long:"login" description:"Login" required:"true"`
	Password string `short:"p" long:"password" description:"Password" required:"true"`
}

var loginCommand LoginCommand

func (c *LoginCommand) Execute(args []string) error {
	fmt.Printf("Login on %s...\n", c.Url)

	fmt.Println("Login succeed!")

	return nil
}

func init() {
	parser.AddCommand("login", "Login", "", &loginCommand)
}
